// ======================================================================
// alpha fade shaders
// (c) 2004 randy reddig
// http://www.shaderlab.com
// distribution, in part or in whole, in any medium, permitted
// ======================================================================
//
textures/erdenberg/alpha_000	// Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.00
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.70
}

textures/erdenberg/alpha_001	// Almost Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.01
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.70
}

textures/erdenberg/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.70
}

textures/erdenberg/alpha_050	// Perfect mix of both Primary + Secondary
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.70
}

textures/erdenberg/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.70
}

textures/erdenberg/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.70
}

textures/erdenberg/alpha_100	// Secondary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.70
}

// Terrain visible shaders

textures/erdenberg/dirt3
{
	qer_editorimage textures/temperate_sd/dirt3.tga
	surfaceparm grasssteps
	{
		map textures/temperate_sd/dirt3.tga
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/erdenberg/dirt3_mine
{
	qer_editorimage textures/temperate_sd/dirt3.tga
	surfaceparm grasssteps
	surfaceparm landmine
	{
		map textures/temperate_sd/dirt3.tga
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/erdenberg/master_grass_dirt3
{
	qer_editorimage textures/temperate_sd/master_grass_dirt3.tga
	surfaceparm grasssteps
	surfaceparm landmine
	{
		map textures/temperate_sd/master_grass_dirt3.tga
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/erdenberg/ter_grass_road
{
	surfaceparm landmine
	surfaceparm grasssteps
	
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_bounceScale 0.2
	       
	{
		map textures/temperate_sd/dirt3.tga	// Primary
		rgbGen identity
	}
	{
		map textures/erd_terrain/dirt_m03icmp_brown_2x.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/erdenberg/ter_dirt_grass
{
	surfaceparm landmine
	surfaceparm grasssteps
	
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_bounceScale 0.2
	       
	{
		map textures/temperate_sd/dirt3.tga	// Primary
		rgbGen identity
	}
	{
		map textures/temperate_sd/grass_path1.tga 	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/erdenberg/ter_dirt_path
{
	surfaceparm landmine
	surfaceparm grasssteps
	
	q3map_nonplanar
	q3map_shadeangle 100
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_bounceScale 0.2
	       
	{
		map textures/temperate_sd/master_grass_dirt3.tga	// Primary
		rgbGen identity
	}
	{
		map textures/temperate_sd/grass_path1.tga 	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//copied and amended from fueldump shader

textures/erd_terrain/cave_dark_2x
{
	q3map_nonplanar
	q3map_shadeangle 60
	qer_editorimage textures/erd_terrain/mxrock3_a_2x.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/erd_terrain/mxrock3_a_2x.tga
		blendFunc filter
	}
}

//copied and amended from radar shader

textures/erd_terrain/debri_m05_wet_2x
{
	qer_editorimage textures/erd_terrain/debri_m05_2x.tga
	implicitMap textures/erd_terrain/debri_m05_2x.tga
}

textures/erd_terrain/debri_m05_2x
{
	qer_editorimage textures/erd_terrain/debri_m05_2x.tga
	implicitMap textures/erd_terrain/debri_m05_2x.tga
}

textures/erd_terrain/debri_m01_2x
{
	qer_editorimage textures/erd_terrain/debri_m01_2x.tga
	implicitMap textures/erd_terrain/debri_m01_2x.tga
}

//copied from mp_wurzburg shader

textures/erd_terrain/dirt_m03icmp_brown_2x
{
	qer_editorimage textures/erd_terrain/dirt_m03icmp_brown_2x.tga
	surfaceparm trans
	implicitMap textures/erd_terrain/dirt_m03icmp_brown_2x.tga
}